Bulk match
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/bulk-match \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"match_pairs": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suggested_match_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/bulk-match"
payload = { "match_pairs": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"suggested_match_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
match_pairs: [
{
transaction_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
suggested_match_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/bulk-match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "{}"
}""""Bank Transactions
Bulk match
Confirm matches for multiple bank transactions. This should be used when platforms have pre-existing knowledge of what bank transactions are associated with a financial event such as an invoice payment or a payout.
POST
/
v1
/
businesses
/
{businessId}
/
bank-transactions
/
bulk-match
Bulk match
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json
Path Parameters
The UUID of the business to confirm the matches for
Body
application/json
List of transactions with their suggested match
Show child attributes
Show child attributes
Response
Resource type. Value will be 'com.layerfi.controllers.EmptyResponse'.
Example:
"{}"
āI